Subject: Re: [bug#76733] [PATCH] Add `guix-system-generation-list-*diff-configurations` function to emacs-guix
From: Ludovic Courtès <[email-masked]>
To: Baptiste Strazzulla <[email-masked]>
Cc: [email-masked]
Date: Sun, 09 Mar 2025 22:07:18 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Baptiste Strazzulla <[email-masked]> skribis:

> I'm not sure exactly where to submit patches to `emacs-guix` so I'm trying here. This patch adds a function to it to diff two configurations file from a buffer listing system generations.

It’s the right place! :-)

> From 4034dba50e3375f6dbc768c251877e32513d6445 Mon Sep 17 00:00:00 2001
> From: Baptiste Strazzulla <[email-masked]>
> Date: Mon, 3 Mar 2025 18:35:03 +0100
> Subject: [PATCH] Add `guix-generation-list-*diff-configurations`
>
> ---
>  elisp/guix-ui-system-generation.el | 28 ++++++++++++++++++++++++++++

Applied, thanks!

I haven’t applied the ‘emacs-guix’ package update: there’s another patch
series pending so we’ll probably update after it has landed.

Thanks,
Ludo’.